Skip to content

Update Bundle

PATCH https://api.secure.quotivity.com/v1/bundles/{bundleId}

Updates one or more bundle fields. Provide at least one of isActive or header.

Send your API key in the x-api-key header. See Generating API keys.

Name Type Required Description
bundleId string Yes —

Required, application/json: UpdateBundleRequest

Status Body Description
200 Bundle Bundle updated successfully
400 — Invalid update (e.g. activation requirements not met)
401 — Unauthorized
404 — Bundle not found
429 — Rate limit exceeded while updating header
500 — Internal Server Error
Field Type Required Description
id string Yes —
accountId string Yes —
isActive boolean Yes —
header BundleProduct No —
configuratorEnabled boolean No —
clonedBundleTempName string No —
Field Type Required Description
productId string Yes —
properties map of string to string Yes —
Field Type Required Description
isActive boolean No —
header object No —